summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-11 13:39:11 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-11 13:39:11 +0000
commit1a8c8129da431d79908156086146a16ae51dd237 (patch)
treefd58f7ac6830d7d570727777b21e8ff394c70873 /dev-python
parentb379c520b4ef222b63deffd8fbc70eef5be788e0 (diff)
downloadbaldeagleos-repo-1a8c8129da431d79908156086146a16ae51dd237.tar.gz
baldeagleos-repo-1a8c8129da431d79908156086146a16ae51dd237.tar.xz
baldeagleos-repo-1a8c8129da431d79908156086146a16ae51dd237.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/black/Manifest1
-rw-r--r--dev-python/black/black-21.6_beta0.ebuild54
-rw-r--r--dev-python/cerberus/Manifest1
-rw-r--r--dev-python/cerberus/cerberus-1.3.2.ebuild24
-rw-r--r--dev-python/cerberus/files/cerberus-1.3.2_no-pytest-runner.patch13
-rw-r--r--dev-python/cerberus/files/cerberus-1.3.2_test-installation.patch11
-rw-r--r--dev-python/cerberus/metadata.xml13
-rw-r--r--dev-python/pytest-html/Manifest1
-rw-r--r--dev-python/pytest-html/pytest-html-3.1.1.ebuild29
-rw-r--r--dev-python/snakeoil/snakeoil-0.9.5.ebuild2
-rw-r--r--dev-python/spyder-kernels/Manifest1
-rw-r--r--dev-python/spyder-kernels/spyder-kernels-2.0.4.ebuild53
12 files changed, 202 insertions, 1 deletions
diff --git a/dev-python/black/Manifest b/dev-python/black/Manifest
index 0614c4e7d432..4f48a8af5737 100644
--- a/dev-python/black/Manifest
+++ b/dev-python/black/Manifest
@@ -3,3 +3,4 @@ DIST black-21.4b1.tar.gz 1135304 BLAKE2B 9dcb90109a9cbddb53682b6385f5b7ae5cc6502
DIST black-21.4b2.tar.gz 1136152 BLAKE2B bd1ee42495953687e23338df793bfe791352ab91541dc9b563a1274378a6527dc9eccea92fcaaf3c67403448e0ce7d99f605ff7dab1d7d38926f0cc84a859e1d SHA512 6d74bb718aea64db6e83045af7e787419efd7fb647c7d2b49a412e92e796a800fa4f1496fdb28253af894956984e22836761d22677631726f705d78143a63444
DIST black-21.5b1.tar.gz 1136153 BLAKE2B 60a8c1ad1e6b237a79f65b790924c405d12ab34f7b6067f069f26831c76fbf99a217316fa5e2b47421ec982da56b870850455f78a2a37ac7856f72b101ce4f65 SHA512 972c69d13fb1e3371273a3b185d4413f37e07a573cb7debda795dabb25bdca3d25fc1ba8bb41c8ce27088eda695a3ae1f12af5de3fd329dbd54019d3537d90b1
DIST black-21.5b2.tar.gz 1143836 BLAKE2B 90e24ef83241dcccfe9c43e62e8369db8c961867c25f85ed526d7c0c4a9df0c75fc4709a07ab2e844c5a30d04c50f101f4a80348210d6b64c32fceb13ebd143f SHA512 3974588a6bdb9417d4886eceb0c79351e4129ea51c5d1de018acc2e571dab6f1ef244ac074e6e561e4353276939531d09050fbaeb93c891e47d780dd548b8f14
+DIST black-21.6b0.tar.gz 1149421 BLAKE2B a9935d9ef3c9530d127cc2d06e2d64b48e6f2a5488ed4851b5afa3bf3166df9723c3815220b68eb5a069c167393f501063321addde19149ad4ef85d59938eac7 SHA512 0f676f6bcd8bcbbdc615a2086631b3cebf9b9612fabc62de78215a7319cabd4e200333340471dd26a6a80cb920f04bcfde5a8dd42d069c19dba471ade30487ac
diff --git a/dev-python/black/black-21.6_beta0.ebuild b/dev-python/black/black-21.6_beta0.ebuild
new file mode 100644
index 000000000000..443dc6208ec3
--- /dev/null
+++ b/dev-python/black/black-21.6_beta0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1 optfeature
+
+MY_PV="${PV//_beta/b}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="The uncompromising Python code formatter"
+HOMEPAGE="https://black.readthedocs.io/en/stable/ https://github.com/psf/black"
+SRC_URI="https://github.com/psf/${PN}/archive/${MY_PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ dev-python/appdirs[${PYTHON_USEDEP}]
+ >=dev-python/click-7.1.2[${PYTHON_USEDEP}]
+ >=dev-python/mypy_extensions-0.4.3[${PYTHON_USEDEP}]
+ dev-python/regex[${PYTHON_USEDEP}]
+ <dev-python/pathspec-1[${PYTHON_USEDEP}]
+ >=dev-python/toml-0.10.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typed-ast[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.7.4[${PYTHON_USEDEP}]
+ ' python3_7)
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/aiohttp-cors[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${MY_PV}
+
+python_test() {
+ cp "${S}"/src/black_primer/primer.json "${BUILD_DIR}"/lib/black_primer/primer.json || die
+ epytest -m "not python2"
+}
+
+pkg_postinst() {
+ optfeature "blackd - HTTP API for black" dev-python/aiohttp dev-python/aiohttp-cors
+}
diff --git a/dev-python/cerberus/Manifest b/dev-python/cerberus/Manifest
new file mode 100644
index 000000000000..59e83aabb5d5
--- /dev/null
+++ b/dev-python/cerberus/Manifest
@@ -0,0 +1 @@
+DIST cerberus-1.3.2.tar.gz 149344 BLAKE2B ce65f3c4c612f87562c28f913cac95c1c7af9b2dfa72955bce3f0e0459e4ff9024a126ceea4587e2c72cf606be2a249046a090a2e2d5e908bfe4b700ba5e9b92 SHA512 e9cfef5a936783eb0576afd3d23397dab38d8c88b6b43f98de0ad7e20739e5ff983eaf4ac769206adb7fe9692c651583f6a5f2bab263b81b8de96f45707c84fb
diff --git a/dev-python/cerberus/cerberus-1.3.2.ebuild b/dev-python/cerberus/cerberus-1.3.2.ebuild
new file mode 100644
index 000000000000..4696ed2150fc
--- /dev/null
+++ b/dev-python/cerberus/cerberus-1.3.2.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="A lightweight and extensible data-validation library for Python"
+HOMEPAGE="https://docs.python-cerberus.org/"
+SRC_URI="https://github.com/pyeve/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.3.2_no-pytest-runner.patch
+ "${FILESDIR}"/${PN}-1.3.2_test-installation.patch
+)
+
+distutils_enable_tests pytest
diff --git a/dev-python/cerberus/files/cerberus-1.3.2_no-pytest-runner.patch b/dev-python/cerberus/files/cerberus-1.3.2_no-pytest-runner.patch
new file mode 100644
index 000000000000..b9216385d64c
--- /dev/null
+++ b/dev-python/cerberus/files/cerberus-1.3.2_no-pytest-runner.patch
@@ -0,0 +1,13 @@
+--- a/setup.py
++++ b/setup.py
+@@ -11,9 +11,7 @@
+ LONG_DESCRIPTION = open("README.rst").read()
+ VERSION = "1.3.2"
+
+-setup_requires = (
+- ["pytest-runner"] if any(x in sys.argv for x in ("pytest", "test", "ptr")) else []
+-)
++setup_requires = []
+
+
+ setup(
diff --git a/dev-python/cerberus/files/cerberus-1.3.2_test-installation.patch b/dev-python/cerberus/files/cerberus-1.3.2_test-installation.patch
new file mode 100644
index 000000000000..381822f1799f
--- /dev/null
+++ b/dev-python/cerberus/files/cerberus-1.3.2_test-installation.patch
@@ -0,0 +1,11 @@
+--- a/setup.py
++++ b/setup.py
+@@ -35,7 +35,7 @@
+ ),
+ license="ISC",
+ platforms=["any"],
+- packages=find_packages(),
++ packages=find_packages(exclude=("cerberus.tests",)),
+ include_package_data=True,
+ setup_requires=setup_requires,
+ tests_require=["pytest"],
diff --git a/dev-python/cerberus/metadata.xml b/dev-python/cerberus/metadata.xml
new file mode 100644
index 000000000000..fb68e8faff74
--- /dev/null
+++ b/dev-python/cerberus/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>marecki@gentoo.org</email>
+ <name>Marek Szuba</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">pyeve/cerberus</remote-id>
+ <remote-id type="pypi">Cerberus</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pytest-html/Manifest b/dev-python/pytest-html/Manifest
index 5a27b730b310..79ba8245db00 100644
--- a/dev-python/pytest-html/Manifest
+++ b/dev-python/pytest-html/Manifest
@@ -1 +1,2 @@
DIST pytest-html-1.22.1.tar.gz 28183 BLAKE2B bf6d2aecda8fd3117a7b58307f1246e2d6f31f8939812c402d541c13dc329d7e7a0ab1f72ea70583d39614599d70dd0f4ffcc00b0d481ae4bbfce968f016adb3 SHA512 8adf1b1a27ea9f635226acdcd9d429bf78dc57ef9a67cf6616868c60b921c0cef117a63f4ef4c258350900759b607baa71d2a6b73cc8f9f718b405a7fba0d5e4
+DIST pytest-html-3.1.1.tar.gz 38548 BLAKE2B d2491280ceb4524a10a46891448bb63fe997a4be82062e727fb1d79ef6154a0b4229bbec27c6601372776f7c8dd124aab5d4968482fc24ad24330db5d2520187 SHA512 78091b485d153b54cd76abb8cfeb6494830b1b51a10dc0c00c73eccf67962d2805e3f83972c7ccfd1f877a939b582f80d5ddd5273fd1ddcac2a1a9c2eb121300
diff --git a/dev-python/pytest-html/pytest-html-3.1.1.ebuild b/dev-python/pytest-html/pytest-html-3.1.1.ebuild
new file mode 100644
index 000000000000..7bdd1b4827f3
--- /dev/null
+++ b/dev-python/pytest-html/pytest-html-3.1.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Plugin for generating HTML reports for py.test results"
+HOMEPAGE="https://github.com/pytest-dev/pytest-html/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# Lots of test failures...
+RESTRICT="test"
+
+RDEPEND="dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-metadata[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]"
+
+python_test() {
+ PYTHONPATH=${PWD}${PYTHONPATH:+:}${PYTHONPATH} \
+ py.test -v -r a testing/test_pytest_html.py || die
+}
diff --git a/dev-python/snakeoil/snakeoil-0.9.5.ebuild b/dev-python/snakeoil/snakeoil-0.9.5.ebuild
index bfbd0e54cd94..0550867584b1 100644
--- a/dev-python/snakeoil/snakeoil-0.9.5.ebuild
+++ b/dev-python/snakeoil/snakeoil-0.9.5.ebuild
@@ -10,7 +10,7 @@ if [[ ${PV} == *9999 ]] ; then
EGIT_REPO_URI="https://github.com/pkgcore/snakeoil.git"
inherit git-r3
else
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ppc64 ~s390 sparc ~x86 ~x64-macos"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ppc64 ~s390 sparc ~x86 ~x64-macos"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
fi
diff --git a/dev-python/spyder-kernels/Manifest b/dev-python/spyder-kernels/Manifest
index 110cae5eb4f3..6d31380096bc 100644
--- a/dev-python/spyder-kernels/Manifest
+++ b/dev-python/spyder-kernels/Manifest
@@ -1,2 +1,3 @@
DIST spyder-kernels-1.10.2-gh.tar.gz 78924 BLAKE2B 47f0ec284f54590ee9c5a43caeeea61b644fccc6d6222dfbf85187beb9cc141504082dbf50d1d85f5315c8e8e46b9f810253d904b594bb4c52677271b0f7f12d SHA512 4bcbc2646493f384a3f5fad1cc2a42bbe1d06c5225362beb995a73e3c1abe482f3855d844c449b07631b4ffda99492ccbd3cbe69c515ed38d6a98913bea90e2d
DIST spyder-kernels-2.0.3-gh.tar.gz 80089 BLAKE2B c439317be60237fb1c0c110a46ca17ad6a7ec0f978e2bbc01d98a260ec2654b81a334059f8b349dec002a2f3c8d9e5279b7f208fe88ccaaaba52d171eb5ca487 SHA512 dd406640db545732e23ef5e1f0fbb6c1756dd651e49152d2d804b8e0ddcdc0f9ede04a48df861faf2153125c4971c515eb5edd327d93a19926e12b02737b9a66
+DIST spyder-kernels-2.0.4-gh.tar.gz 80671 BLAKE2B 1ef5fdef54742f6c673f30c9bf174f32e20bdf31e71107883785ad2353749712cc0f607662b8246ad0b831b5cf43fe94fe24ae72a9f477ede5743c8d76af5b7d SHA512 1b448bdbe4a6b483203fe4a474e39c880e164cdf35d71eebd3ae79367785892043bf73180b4c1c9051ae75d0e7b59e845ef079d31582479c710ad43a2fe11599
diff --git a/dev-python/spyder-kernels/spyder-kernels-2.0.4.ebuild b/dev-python/spyder-kernels/spyder-kernels-2.0.4.ebuild
new file mode 100644
index 000000000000..0e0405c61674
--- /dev/null
+++ b/dev-python/spyder-kernels/spyder-kernels-2.0.4.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Kernels used by spyder on its ipython console"
+HOMEPAGE="https://github.com/spyder-ide/spyder-kernels/
+ https://pypi.org/project/spyder-kernels/"
+SRC_URI="https://github.com/spyder-ide/${PN}/archive/v${PV}.tar.gz -> ${P}-gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/cloudpickle[${PYTHON_USEDEP}]
+ <dev-python/decorator-5[${PYTHON_USEDEP}]
+ >=dev-python/ipykernel-5.3.0[${PYTHON_USEDEP}]
+ >=dev-python/ipython-7.6.0[${PYTHON_USEDEP}]
+ <dev-python/ipython-7.23.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-5.3.4[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-17[${PYTHON_USEDEP}]
+ >=dev-python/wurlitzer-1.0.3[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/dask[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/xarray[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local deselect=(
+ # we no longer package distributed
+ spyder_kernels/console/tests/test_console_kernel.py::test_dask_multiprocessing
+ )
+
+ epytest ${deselect[@]/#/--deselect }
+}